Package org.eclipse.emf.cdo.lm.assembly.impl

# Class AssemblyModuleImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.assembly.impl.AssemblyModuleImpl

All Implemented Interfaces:
  `Comparable<AssemblyModule>`, `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `AssemblyModule`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class AssemblyModuleImpl extends ModelElementImpl implements AssemblyModule
An implementation of the model object 'Module'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Assembly`
  - `Name`
  - `Version`
  - `Branch Point`
  - `Root`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final CDOBranchPointRef`
`BRANCH_POINT_EDEFAULT`
The default value of the '`Branch Point`' attribute.
`protected static final String`
`NAME_EDEFAULT`
The default value of the '`Name`' attribute.
`protected static final boolean`
`ROOT_EDEFAULT`
The default value of the '`Root`' attribute.
`protected static final Version`
`VERSION_EDEFAULT`
The default value of the '`Version`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.cdo.lm.assembly.AssemblyModule

`COMPARATOR`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AssemblyModuleImpl()`

## Method Summary

Modifier and Type
Method
Description
`NotificationChain`
`basicSetAssembly(Assembly newAssembly, NotificationChain msgs)`
`int`
`compareTo(AssemblyModule o)`
`NotificationChain`
`eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`protected boolean`
`emfToString()`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`Assembly`
`getAssembly()`
`CDOBranchPointRef`
`getBranchPoint()`
`String`
`getName()`
`Version`
`getVersion()`
`boolean`
`isRoot()`
`static int`
`root(AssemblyModule module)`
`void`
`setAssembly(Assembly newAssembly)`
`void`
`setBranchPoint(CDOBranchPointRef newBranchPoint)`
`void`
`setName(String newName)`
`void`
`setRoot(boolean newRoot)`
`void`
`setVersion(Version newVersion)`
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eInvoke, eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### NAME_EDEFAULT

protected static final String NAME_EDEFAULT
The default value of the '`Name`' attribute.

See Also:
  - `getName()`
Generated
Ordered

### VERSION_EDEFAULT

protected static final Version VERSION_EDEFAULT
The default value of the '`Version`' attribute.

See Also:
  - `getVersion()`
Generated
Ordered

### BRANCH_POINT_EDEFAULT

protected static final CDOBranchPointRef BRANCH_POINT_EDEFAULT
The default value of the '`Branch Point`' attribute.

See Also:
  - `getBranchPoint()`
Generated
Ordered

### ROOT_EDEFAULT

protected static final boolean ROOT_EDEFAULT
The default value of the '`Root`' attribute.

See Also:
  - `isRoot()`
  - Constant Field Values
Generated
Ordered

## Constructor Details

### AssemblyModuleImpl

protected AssemblyModuleImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ModelElementImpl`
Generated

### emfToString

protected boolean emfToString()

Overrides:
  `emfToString` in class `CDOObjectImpl`

### getAssembly

public Assembly getAssembly()

Specified by:
  `getAssembly` in interface `AssemblyModule`
Returns:
  the value of the 'Assembly' container reference.
See Also:
  - `AssemblyModule.setAssembly(Assembly)`
  - `AssemblyPackage.getAssemblyModule_Assembly()`
  - `Assembly.getModules()`
Generated

### basicSetAssembly

public NotificationChain basicSetAssembly(Assembly newAssembly, NotificationChain msgs)

Generated

### setAssembly

public void setAssembly(Assembly newAssembly)

Specified by:
  `setAssembly` in interface `AssemblyModule`
Parameters:
  `newAssembly` - the new value of the 'Assembly' container reference.
See Also:
  - `AssemblyModule.getAssembly()`
Generated

### getName

public String getName()

Specified by:
  `getName` in interface `AssemblyModule`
Returns:
  the value of the 'Name' attribute.
See Also:
  - `AssemblyModule.setName(String)`
  - `AssemblyPackage.getAssemblyModule_Name()`
Generated

### setName

public void setName(String newName)

Specified by:
  `setName` in interface `AssemblyModule`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  - `AssemblyModule.getName()`
Generated

### getVersion

public Version getVersion()

Specified by:
  `getVersion` in interface `AssemblyModule`
Returns:
  the value of the 'Version' attribute.
See Also:
  - `AssemblyModule.setVersion(Version)`
  - `AssemblyPackage.getAssemblyModule_Version()`
Generated

### setVersion

public void setVersion(Version newVersion)

Specified by:
  `setVersion` in interface `AssemblyModule`
Parameters:
  `newVersion` - the new value of the 'Version' attribute.
See Also:
  - `AssemblyModule.getVersion()`
Generated

### getBranchPoint

public CDOBranchPointRef getBranchPoint()

Specified by:
  `getBranchPoint` in interface `AssemblyModule`
Returns:
  the value of the 'Branch Point' attribute.
See Also:
  - `AssemblyModule.setBranchPoint(CDOBranchPointRef)`
  - `AssemblyPackage.getAssemblyModule_BranchPoint()`
Generated

### setBranchPoint

public void setBranchPoint(CDOBranchPointRef newBranchPoint)

Specified by:
  `setBranchPoint` in interface `AssemblyModule`
Parameters:
  `newBranchPoint` - the new value of the 'Branch Point' attribute.
See Also:
  - `AssemblyModule.getBranchPoint()`
Generated

### isRoot

public boolean isRoot()

Specified by:
  `isRoot` in interface `AssemblyModule`
Returns:
  the value of the 'Root' attribute.
See Also:
  - `AssemblyModule.setRoot(boolean)`
  - `AssemblyPackage.getAssemblyModule_Root()`
Generated

### setRoot

public void setRoot(boolean newRoot)

Specified by:
  `setRoot` in interface `AssemblyModule`
Parameters:
  `newRoot` - the new value of the 'Root' attribute.
See Also:
  - `AssemblyModule.isRoot()`
Generated

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `ModelElementImpl`
Generated

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ModelElementImpl`
Generated

### eBasicRemoveFromContainerFeature

public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `ModelElementImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `ModelElementImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `ModelElementImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `ModelElementImpl`
Generated

### compareTo

public int compareTo(AssemblyModule o)

Specified by:
  `compareTo` in interface `Comparable<AssemblyModule>`

### toString

public String toString()

Overrides:
  `toString` in class `CDOObjectImpl`

### root

public static int root(AssemblyModule module)